# List Services Filters and returns services for current Hub. Can return services from all groups. Request valid only in scope of Primary or Standalone Hub and can't be used in scope of a Connected Hub. Endpoint: GET /hubs/{subdomain}/services Version: 3.0-R1 Security: ApiKeyAuth ## Path parameters: - `subdomain` (string, required) Unique subdomain of requested Hub. ## Query parameters: - `group_id` (integer) Filters services to only those which belong to group with ID specified by group_id. - `archived` (string) Filters services by archived status: * true - return only services that were archived, * false - return only services that were not archived, * all - return services without filtering by archived status. Enum: "true", "false", "all" - `deleted` (string) Filters services by deletion status: * true - return only services that were deleted, * false - return only services that were not deleted, * all - return services without filtering by deleted status. Enum: "true", "false", "all" - `q` (string) String that filters services to those containing the search string in: - name, - custom_id. - `per_group_sort` (boolean) Alters behavior of sort_prop: - (default) If per_group_sort is true - Sort by the sort_prop in each connected group individually, - if per_group_sort is false - Sort by sort_prop globally so output will contain connected services ignoring the order of connected groups. This means that connected services from same connected group may be interleaved by connected services from different connected groups. One exception is position sort_prop which forces per_group_sort to be true regardless of actual value used in request. If per_group_sort is true the order of connected groups is always determined by connected group position. - `sort_prop` (string) Determines which property results should be sorted by. The final sorting depends also on per_group_sort parameter: - (default) If per_group_sort is true - Sort by the sort_prop in each group individually, - if per_group_sort is false - Sort by sort_prop globally so output will contain services ignoring the order of group. This means that services from same group may be interleaved by services from different groups. One exception is position sort_prop which forces per_group_sort to be true regardless of actual value used in request. If per_group_sort is true the order of groups is always determined by group position. Enum: "position", "created_at", "updated_at" - `sort_dir` (string) Determines sorting direction inside each Group. It does not affect the order of groups which is fixed to position. Services will be sorted by sort_prop inside each group individually. Enum: "asc", "desc" - `page` (integer) Requested page index. - `per_page` (integer) A limit on the number of records to be returned. - `api_version` (string) Api version Enum: "V3-R1" ## Response 200 fields (application/json): - `current_page` (integer) Example: 1 - `page_count` (integer) Example: 4 - `per_page` (integer) Example: 25 - `total` (integer) Example: 1024 - `data` (array) - `data.id` (integer) Example: 102 - `data.custom_id` (string,null) custom_id is a property that can be used to assign an external identifier to a service. This identifier can be used, for example, to synchronize monitored entities with services in StatusHub. custom_id has to be unique within the scope of a Hub. - `data.group_id` (integer) Example: 103 - `data.name` (string) - `data.flags` (object) - `data.flags.archived` (boolean) Is this service archived. Events affecting only the archived services are still visible on Hub Page with direct event link. - `data.flags.deleted` (boolean) Is this service deleted. Events affecting only the deleted services are still visible on Hub Page with direct event link.